> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-plugins-reload-backend.md).

# /sys/plugins/reload/backend

The `/sys/plugins/reload/backend` endpoint is used to reload mounted plugin backends. Either the plugin name (`plugin`) or the desired plugin backend mounts (`mounts`) must be provided, but not both. In the case that the plugin name is provided, all mounted paths that use that plugin backend will be reloaded.

### Reload plugins

This endpoint reloads mounted plugin backends.

| Method | Path -                        |
| ------ | ----------------------------- |
| `POST` | `/sys/plugins/reload/backend` |

#### Parameters

* `plugin` `(string: "")` – The name of the plugin to reload, as registered in the plugin catalog.
* `mounts` `(array: [])` – Array or comma-separated string mount paths of the plugin backends to reload.
* `scope` `(string: "")` - The scope of the reload. If omitted, reloads the plugin or mounts on this Vault instance. If 'global', will begin reloading the plugin on all instances of a cluster.

#### Sample payload

```json
{
  "plugin": "mock-plugin"
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/plugins/reload/backend
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-plugins-reload-backend.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
